Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.sim
Class Simulator.Probe.Empty

    java.lang.Object
      avrora.sim.Simulator.Probe.Empty

All Implemented Interfaces:
  Simulator.Probe

Direct Known Subclasses:
  BranchCounter, Counter, EnergyProfiler.Monitor.ProcedureProbe, EnergyProfiler.Monitor.SleepProbe, GDBServer.GDBMonitor.BreakpointProbe, InteractiveMonitor.BreakPointProbe, ProfileMonitor.Monitor.CProbe, ProgramProfiler, StackMonitor.Monitor, TraceMonitor.Monitor.EndProbe, TraceMonitor.Monitor.StartProbe, TripTimeMonitor.PointToPointMon.PTPProbe

Enclosing class:
  Simulator.Probe

public static class Simulator.Probe.Empty
extends java.lang.Object
implements Simulator.Probe

The `Simulator.Probe.Empty` class is a simple base class for probes that do not implement one or more methods. Deriving from this class allows shorter probes to be written.

Nested Class Summary

Nested classes inherited from class avrora.sim.Simulator.Probe
`Simulator.Probe.Empty`

Constructor Summary
`Simulator.Probe.Empty()`

Method Summary
`void` | `fireAfter(State state, int pc)` The `fireAfter()` method is called after the probed instruction executes.
`void` | `fireBefore(State state, int pc)` The `fireBefore()` method is called before the probed instruction executes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Simulator.Probe.Empty

    public Simulator.Probe.Empty()

Method Detail

### fireBefore

    public void fireBefore(State state,
                           int pc)

  The `fireBefore()` method is called before the probed instruction executes. In the implementation of the `Empty` probe, this method is empty.

  Specified by:
    `fireBefore` in interface `Simulator.Probe`
  Parameters:
    `state` - the state of the simulation
    `pc` - the address at which this instruction resides

### fireAfter

    public void fireAfter(State state,
                          int pc)

  The `fireAfter()` method is called after the probed instruction executes. In the implementation of the `Empty` probe, this method is empty.

  Specified by:
    `fireAfter` in interface `Simulator.Probe`
  Parameters:
    `state` - the state of the simulation
    `pc` - the address at which this instruction resides

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD